### Method

# Fwupd Release set_uri

deprecated: 1.5.6 since: 0.9.3

#### Declaration [src]

    void
    fwupd_release_set_uri (
      FwupdRelease* self,
      const gchar* uri
    )

#### Description [src]

Sets the update URI, i.e. where you can download the firmware from.

Available since: 0.9.3

Deprecated since: 1.5.6

Use `fwupd_release_add_location()` instead.

#### Parameters

`uri`

  Type: `const gchar*`

  The update URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.